Skip to main content
GET
/
v1
/
connectors
List Connectors
curl --request GET \
  --url https://api.example.com/v1/connectors
{
  "credentials": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "credential_name": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "verified_bucket_uri": "<string>",
      "verified_role_arn": "<string>",
      "verified_bucket_owner_account_id": "<string>",
      "verified_account": "<string>",
      "verified_warehouse": "<string>",
      "verified_database": "<string>",
      "verified_schema_name": "<string>",
      "verified_server_hostname": "<string>",
      "verified_http_path": "<string>",
      "verified_catalog": "<string>"
    }
  ]
}

Headers

authorization
string | null
refresh-token
string | null

Response

Successful Response

GET /v1/connector — all credentials for the authenticated user.

credentials
CredentialResponse · object[]
required